//
//  Path.h
//  Demine
//
//  Created by Michael Heyeck on 3/10/10.
//  Copyright 2010 Fair Oaks Labs, Inc.. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "Glyph.h"


@interface Path : Glyph
{
	CGPathDrawingMode	drawMode;
	CGFloat				strokeWidth;
	UIColor*			color;
	CGPathRef			path;
}

@property (nonatomic, assign) CGPathDrawingMode drawMode;
@property (nonatomic, assign) CGFloat strokeWidth;
@property (nonatomic, retain) UIColor* color;

- (CGPathRef)path;
- (void)setPath:(CGPathRef)newPath;

- (BOOL)saveToFile:(NSString*)fileName;
- (BOOL)loadFromFile:(NSString*)fileName;
- (void)renderToContext:(CGContextRef)context;

@end
